=== debian/changelog ===
devscripts (2.9.20) unstable; urgency=low

  * debuild: set DEB_{BUILD,HOST}_* variables as dpkg-buildpackage does
    (Closes: #364256)
  * debuild: improve missing .orig.tar.gz warning
  * uscan: mention upgrading points in the manpage.
  * uupdate: allow upstream version numbers to use A-Z (Closes:#367055)

 -- Julian Gilbey <jdg@debian.org>  Wed, 17 May 2006 07:27:17 +0100

devscripts (2.9.19) unstable; urgency=low

  * debuild: fix -I and -i option handling (Closes: #363368)

 -- Julian Gilbey <jdg@debian.org>  Thu, 20 Apr 2006 21:41:51 +0100

devscripts (2.9.18) unstable; urgency=low

  * uscan: fix parsing howler: uscan would never work like this - oops!
    (Closes: #363338)

 -- Julian Gilbey <jdg@debian.org>  Tue, 18 Apr 2006 17:58:20 +0100

devscripts (2.9.17) unstable; urgency=low

  [ Julian Gilbey ]
  * several Perl scripts: make sure we set the SIGPIPE handler before
    doing an open '-|'
  * bts: actually support the --sendmail option rather than just say we
    do! (Closes: #293715)
  * bts: fix URI in manpage (Closes: #360783)
  * bts: fix unblock NNNNN by|with NNNNN handling (Closes: #361029)
  * bts: fix uninitialized value bugs (Closes: #362187)
  * debchange: add --qa option (Closes: #358278)
  * debdiff: check file permissions and new/deleted control files (Closes:
    #203781, #230702)
  * debdiff: option --controlfiles to allow comparing postinst
    etc. (Closes: #218222)
  * debrelease, debc, debi: support searching for .changes and .debs in a
    directory other than the parent of the currnent source directory with
    --debs-dir command line and DEBRELEASE_DEBS_DIR configuration file
    options (Closes: #309362)
  * debuild: emulate dpkg-buildpackage rather than call it (unless
    dpkg-cross is installed); this provides a hook facility (Closes:
    #226947)
  * debuild: complains if debian revision in native version (Closes:
    #262525)
  * dget: fix manpage type (Closes: #361877)
  * mass-bug: new script (Closes: #355505)
  * pts-subscribe: fix config boilerplate to actually set default timeout
    (Closes: #360857)
  * pts-subscribe.1: improve the wording of the manpage (Closes: #360027)
  * svnpath: fix svk info error (Closes: #361979)
  * uscan: *really* fix the uninitialized value bug (Closes: #356959,
    #361319)
  * uscan: provide downloadurlmangle and filenamemangle options to mangle
    the URL and filename before attempting to perform and save the
    download respectively (Closes: #327404)
  * uscan: fix manpage typo (dversionmangle) (Closes: #362202)
  * uscan: provide "versionmangle" option which does both
    {u,d}versionmangle (Closes: #350455)
  * uupdate: correct syntax error (Closes: #360995)
  * who-uploads: new script to determine most recent uploaders of a
    package to the Debian archive (Closes: #347809)

  [ Joey Hess ]
  * dd-list: actually support white-space separate pages names from stdin,
    as documented on man page.
  * rmadison: escape "+" in package names in http query string

 -- Julian Gilbey <jdg@debian.org>  Sun, 16 Apr 2006 19:43:15 +0100

devscripts (2.9.16) unstable; urgency=low

  [ Julian Gilbey ]
  * Fix 2.9.15 changelog to refer to pts-subscribe, not pkg-subscribe
    (Closes: #353413)
  * bts: be stricter about bug number cruft (Closes: #356318)
  * bts: add spamreport as a synonym for reportspam
  * debcommit: add --help, --version
  * debdiff: fix unnecessary chdir (Closes: #354862)
  * debdiff: compare control files in multi-deb binary packages - this was
    just a coding problem, and could have been done for ages (Closes: #354868)
  * pts-subscribe: Depends on the "at" package (Closes: #353502)
  * uupdate: handle already-unpacked source code archives (Closes: #286253)
  * uscan: avoid warnings on one-word actions (Closes: #356959)
  * uscan: clarify manpage regarding spaces in URLs (Closes: #359190)
  * debian/rules: remove mention of DH_ALWAYS_EXCLUDE (see Bug#352626)

  [ Joey Hess ]
  * debcommit: Add program name to all error messages.

 -- Julian Gilbey <jdg@debian.org>  Wed, 29 Mar 2006 16:20:17 +0100

devscripts (2.9.15) unstable; urgency=low

  * bts: handle bts show pkg archive=yes more gracefully
  * bts: require mailx | mailutils (mailutils provides mailx anyhow)
  * bts: always allow Bug#NNNNNN: or #NNNNN etc. in commands (Closes:
    #353049)
  * bts: support caching RC bug pages (Closes: #236312)
  * bts: support subscribe/unsubscribe commands (Closes: #339661)
  * bts: support alternative sendmail command (Closes: #343752)
  * debdiff: handle multi-binary packages and allow comparison of control
    files from each corresponding pair of binary packages - thanks to
    Robert Luberda <robert@debian.org> for the patch (Closes: #174858)
  * general: improve getopt handling
  * pts-subscribe: new script to subscribe to the PTS for a limited time
    period (Closes: #202866)

 -- Julian Gilbey <jdg@debian.org>  Thu, 16 Feb 2006 16:17:15 +0000

devscripts (2.9.14) unstable; urgency=low

  * deb-reversion: correctly handle multiword hooks (Closes: #351250)
  * deb-reversion: die if not being run as root or using fakeroot
  * deb-reversion: major improvements to manpage
  * debchange: fall back on NAME envvar if DEBFULLNAME is not defined
    (Closes: #340292)
  * debrelease: allow it to run in normal situations again (broken when
    fixing #322926, #217546)
  * uscan: always pass --no-symlink to uupdate as uscan does the
    symlinking itself (Closes: #345874)
  * uscan: handle multi-word actions

 -- Julian Gilbey <jdg@debian.org>  Mon, 13 Feb 2006 11:33:47 +0000

devscripts (2.9.13) unstable; urgency=low

  * Don't include .svn directory in md5sums (Closes: #352273)
  * bts: fix new caching code (thanks to Frank Lichtenheld for this one)
    (Closes: #352476)
  * bts: correctly handle DEBEMAIL='Name <email>' (Closes: #342883)
  * debcommit: handle commit messages for git-based setups (Closes:
    #352004)
  * uscan: check sanity of downloaded files (Closes: #303958)


