=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Uploaders: Joshua Kwan <joshk@triplehelix.org>, Filippo Giunchedi <filippo@debian.org>, Joey Hess <joeyh@debian.org>
Standards-Version: 3.6.2
Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl, xsltproc, docbook-xsl, po4a

Package: devscripts
Architecture: any
Conflicts: debmake (<< 3.5), dupload (<< 2.1), suidmanager (<< 0.51)
Depends: dpkg-dev, debianutils (>= 2.0), perl (>= 5.8), sed (>= 2.95), ${shlibs:Depends}, ${misc:Depends}
Recommends: fakeroot
Suggests: devscripts-el, at, build-essential, cvs-buildpackage, cvs | subversion | tla | bazaar, debian-keyring, dupload (>=2.1) | dput, gnupg (>= 1.0.7), gnuplot, libdigest-md5-perl, libtimedate-perl, libwww-perl, lintian | linda, mailx | mailutils, mutt, patch, patchutils, ssh, strace, wdiff, wget, www-browser
Description: Scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
  - annotate-output: run a command and prepend time and stream (O for stdout,
      E for stderr) for every line of output
  - archpath: print tla/Bazaar package names [tla | bazaar]
  - bts: a command-line tool for manipulating the BTS [www-browser,
      libwww-perl, mailx | mailutils]
  - checkbashisms: check whether a /bin/sh script contains any common
      bash-specific contructs
  - cvs-debi, cvs-debc: to call debi and debc from the CVS working directory
      after running cvs-debuild or cvs-buildpackage [cvs-buildpackage]
  - cvs-debrelease: to call debrelease from the CVS working directory
      after running cvs-debuild or cvs-buildpackage [cvs-buildpackage,
      dupload | dput, ssh]
  - cvs-debuild: run cvs-buildpackage using debuild (see below) as the
      package building program [cvs-buildpackage, fakeroot, lintian | linda,
      gnupg]
  - dd-list: given a list of packages, pretty-print it ordered by maintainer
  - debc: display the contents of just-built .debs
  - debchange/dch: automagically add entries to debian/changelog files [wget]
  - debclean: purge a Debian source tree [fakeroot]
  - debcommit: commit changes to cvs or svn, basing commit message on
      changelog [cvs | subversion]
  - debdiff: compare two versions of a Debian package to check for
      added and removed files [wdiff, patchutils]
  - debi: install a just-built package
  - debpkg: dpkg wrapper to be able to manage/test packages without su
  - debrelease: wrapper around dupload or dput [dupload | dput, ssh]
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
      the rest of the package to be present; can sign the pair remotely
      or fetch the pair from a remote machine for signing [gnupg,
      debian-keyring, ssh]
  - debuild: wrapper to build a package without having to su or worry
      about how to invoke dpkg to build using fakeroot.  Also deals
      with common environment problems, umask etc. [fakeroot,
      lintian | linda, gnupg]
  - deb-reversion: increases a binary package version number and repacks the
      archive
  - dget: downloads Debian source and binary packages [wget]
  - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
      the build of a Debian package; useful for determining the Build-Depends
      control field needed [build-essential, strace]
  - dscverify: verify the integrity of a Debian package from the
      .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
  - grep-excuses: grep the update_excuses.html file for your packages [wget]
  - mass-bug: mass-file bug reports [mailx | mailutils]
  - mergechanges: merge .changes files from a package built on different
      architectures
  - nmudiff: mail a diff of the current package against the previous version
      to the BTS to assist in tracking NMUs [mutt]
  - plotchangelog: view a nice plot of the data in a changelog file
      [libtimedate-perl, gnuplot]
  - pts-subscribe: subscribe to the PTS for a limited period of time
      [mailx | mailutils, at]
  - rc-alert: list installed packages which have release-critical bugs [wget]
  - rmadison: remotely query the Debian archive database about packages [wget]
  - svnpath: print svn repository paths [subversion]
  - tagpending: shell script which runs from a Debian source tree and tags
      bugs that are to be closed in the latest changelog as pending.
      [wget]
  - uscan: scan upstream sites for new releases of packages [libwww-perl]
  - uupdate: integrate upstream changes into a source package [patch]
  - whodepends: check which maintainers' packages depend on a package
  - who-uploads [gnupg, debian-keyring, wget]: determine the most recent
      uploaders of a package to the Debian archive
  - wnpp-alert: list installed packages which are orphaned or up for
      adoption [wget]
 Also included are a set of example mail filters for filtering mail
 from Debian mailing lists using exim, procmail, etc.
