## devscripts 2.9.26~bpo.1

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	rmadison.1 svnpath.1
 MAN5S = devscripts.conf.5
 MANS_fr_DIR = po4a/fr
+GEN_MAN1S_fr = $(patsubst %,$(MANS_fr_DIR)/%,$(GEN_MAN1S))
 MAN1S_fr = $(subst $(MANS_fr_DIR)/,,$(wildcard $(MANS_fr_DIR)/*.1))
 MAN5S_fr = $(subst $(MANS_fr_DIR)/,,$(wildcard $(MANS_fr_DIR)/*.5))
 
@@ -74,21 +75,28 @@
 	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
 
 translated_manpages:
-	cd po4a && po4a --no-backups devscripts-po4a.conf
+	cd po4a && po4a devscripts-po4a.conf
+	# These may or may not have been successfully made; we don't stop
+	# building the rest of the package in such a case
+	for i in $(GEN_MAN1S_fr); do \
+	    $(MAKE) $$i || true; \
+	done
+	touch translated_manpages
 
 clean_translated_manpages:
 	# Update the POT/POs and remove the translated man pages
-	cd po4a && po4a --rm-translations --no-backups devscripts-po4a.conf
+	rm -f po4a/*/*.[1-8]
+	rm -f translated_manpages
 
 libvfork.o: libvfork.c
 	$(CC) -fPIC -D_REENTRANT $(CFLAGS) -c $<
 
 libvfork.so.0: libvfork.o
-	$(CC) -shared $< -ldl -lc -Wl,-soname -Wl,libvfork.so.0 -o $@
+	$(CC) -shared $< -lc -Wl,-soname -Wl,libvfork.so.0 -o $@
 
 clean: clean_translated_manpages
 	rm -f version conf.default $(SCRIPTS) $(GEN_MAN1S) $(SCRIPT_LIBS) \
-	    $(CWRAPPERS) libvfork.o libvfork.so.0
+	    $(GEN_MAN1S_fr) $(CWRAPPERS) libvfork.o libvfork.so.0
 
 install: all
 	mkdir -p $(DESTDIR)$(BINDIR)
@@ -109,10 +117,12 @@
 	cp $(MAN5S) $(DESTDIR)$(MAN5DIR)
 	cd $(DESTDIR)$(MAN1DIR) && ln -s debchange.1 dch.1
 	mkdir -p $(DESTDIR)$(MAN1DIR_fr)
-	cd $(MANS_fr_DIR) && cp $(MAN1S_fr) $(DESTDIR)$(MAN1DIR_fr)
+	-cd $(MANS_fr_DIR) && cp $(MAN1S_fr) $(DESTDIR)$(MAN1DIR_fr)
+	-cp $(GEN_MAN1S_fr) $(DESTDIR)$(MAN1DIR_fr)
 	mkdir -p $(DESTDIR)$(MAN5DIR_fr)
-	cd $(MANS_fr_DIR) && cp $(MAN5S_fr) $(DESTDIR)$(MAN5DIR_fr)
-	cd $(DESTDIR)$(MAN1DIR_fr) && ln -s debchange.1 dch.1
+	-cd $(MANS_fr_DIR) && cp $(MAN5S_fr) $(DESTDIR)$(MAN5DIR_fr)
+	cd $(DESTDIR)$(MAN1DIR_fr) && \
+	    if [ -f debchange.1 ]; then ln -s debchange.1 dch.1; fi
 	mkdir -p $(DESTDIR)$(EXAMPLES_DIR)
 	cp $(EXAMPLES) $(DESTDIR)$(EXAMPLES_DIR)
 #	-find $(DESTDIR) -type d -name '.svn' -exec rm -r \{\} \;
