=== debian/changelog ===
devscripts (2.9.26~bpo.1) sarge-backports; urgency=low

  * Backport.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Dec 2006 16:18:16 +0100

devscripts (2.9.26) unstable; urgency=low

  * deb-reversion: update to new upstream version (Closes: #329374)
  * debc/debi: handle specifying changes file on command line again
    (Closes: #398152)
  * debc/debi: handle arch all packages correctly (oops!) (Closes:
    #398597)
  * dget: new upstream version, supports looking in other places for
    files, new binnmu version scheme, --no-cache, file:// and copy:// and
    fixed bug that --help/--version required other arguments (Closes:
    #385954, #356208)
  * nmudiff: allow configuration of whether to send report to existing
    bugs or create a new bug (Closes: #397912)
  * uscan: avoid spurious undefined warning if --package is used

 -- Julian Gilbey <jdg@debian.org>  Fri, 17 Nov 2006 13:03:03 +0000

devscripts (2.9.25) unstable; urgency=low

  * nmudiff: reinstall mutt as mailer of choice, but now provide the
    option to use it or not (Closes: #397641)

 -- Julian Gilbey <jdg@debian.org>  Wed,  8 Nov 2006 20:39:24 +0000

devscripts (2.9.24) unstable; urgency=low

  * debc/debi: handle multi-arch .changes files (Closes: #385673)
  * debchange: allow non-official distributions (Closes: #397546)
  * debdiff: handle files moving between multiple packages correctly
    (Closes: #392977)
  * debuild: make -B -b work sensibly (Closes: #396232)
  * debuild: don't check for .orig.tar.gz if we're doing a binary-only
    build (Closes: #394627)
  * dget: improve manpage (Closes: #376237)
  * dget: warn and exit with error if URL cannot be downloaded (Closes:
    #376932)
  * mass-bug: don't wrap signatures (Closes: #386123)
  * nmudiff: clean up properly, and abort on editor error
  * tagpending: make -v mean verbose; add long option names (Closes:
    #387293)
  * uscan: set HTTP user agent name (Closes: #397354)
  * wnpp-alert: check return status of wget calls (Closes: #364479)
  * [I18N] Include new versions of French manpages (Closes: #379614)

 -- Julian Gilbey <jdg@debian.org>  Wed,  8 Nov 2006 19:16:22 +0000

devscripts (2.9.23) unstable; urgency=low

  * bts: automatically create cache directory when bts show is used
    (Closes: #370205)
  * debchange: can change urgency and distro using -D and -u flags
    (Closes: #373271)
  * debuild: check for either .orig.tar.gz or a .orig directory, as
    dpkg-source does (Closes: #366286)
  * dget: introduce --insecure option for allowing downloading from site
    with self-signed certificate (Closes: #393942)
  * nmudiff: much improved behaviour:
    - remove dependency on mutt (use /usr/sbin/sendmail instead)
    - automatically mail the relevant bugs rather than submit a new bug
      report; this can be changed using the --new command line option
    - allow for aborting, changing the bug number submitted to and editing
      the whole message
    - checking for errors rather than making a mess of things
    - cleaning up the manpage
    (Closes: #378264, #386147, #370056)
  * uscan: fix handling of ftp directory listings with number-only
    directory names (Closes: #372609)
  * uscan: warn if no parentheses in one-term version 2/3 watchfile
    (Closes: #375557)
  * uupdate: handle ~ in version numbers (Closes: #397100)
  * who-uploads: add GPG key ID to "unrecognised key" message (Closes:
    #397293)

 -- Julian Gilbey <jdg@debian.org>  Mon,  6 Nov 2006 18:11:46 +0000

devscripts (2.9.22~bpo.2) sarge-backports; urgency=low

  * Re-add myself to Uploaders for backport tracking.

 -- Christoph Berg <myon@debian.org>  Tue,  7 Nov 2006 14:58:15 +0100

devscripts (2.9.22~bpo.1) sarge-backports; urgency=low

  * Backport.

 -- Christoph Berg <myon@debian.org>  Tue,  7 Nov 2006 12:59:36 +0100

devscripts (2.9.22) unstable; urgency=low

  [ Julian Gilbey ]
  * Makefile: remove -ldl flag in libvfork linker line (from checklib
    output, see http://rerun.lefant.net/checklib)
  * control: make list render nicely with new aptitude list-handling
    facility (Closes: #388856)
  * bts: documentation for show usertag=...: s/user=/users=/
  * checkbashisms: make reasons for concern explicit, and show whole line
    of original script, not just matched fragment
  * dget: support ~ in package version numbers (Closes: #389482)
  * rmadison: make curl quiet (important when piping the output of
    rmadison)
  * who-uploads: don't bother with iconv -t option; it's the default
    behaviour anyway (see Bug#384835)

  [ Joshua Kwan ]
  * Remove myself from Uploaders. -ENOTIME :(

 -- Julian Gilbey <jdg@debian.org>  Wed, 11 Oct 2006 20:16:02 +0100

devscripts (2.9.21~bpo.1) sarge-backports; urgency=low

  * Backport.

 -- Christoph Berg <myon@debian.org>  Wed, 13 Sep 2006 02:45:53 +0200

devscripts (2.9.21) unstable; urgency=low

  * bts: reportspam/spamreport can now take multiple bug numbers
  * bts: add support for forcemerge (Closes: #369050, #380041)
  * bts: always include "# Automatically generated email" message (thanks
    to Justin Pryzby for spotting this)
  * bts: chdir back to original directory after downloading files (Closes:
    #372546)
  * bts: don't automatically use a -t option unless we are using
    /usr/sbin/sendmail or /usr/sbin/exim* (Closes: #373664)
  * bts: allow mailreader setting to contain spaces (Closes: #370208)
  * checkbashisms: check for $((cnt+1)), echo -n/-e, exec -c/-l/-a, let
    and $RANDOM (Closes: #369851, #377195, #378406, #383613)
  * dd-list: treat lists.alioth.debian.org like lists.debian.org (Closes:
    #373809)
  * debchange: clarified name of changelog file in more error/warning
    messages (see bug#368961)
  * debchange: can specify a NEWS file to edit (still defaults to
    debian/NEWS) (Closes: #384676)
  * debdiff: fixed --move(-regex) options (broken by #203781 and #230702
    fix in 2.9.17) (Closes: #370388)
  * dpkg-genbuilddeps: clean up if statement (Closes: #365372)

