## devscripts 2.9.26

=== Makefile ===
--- 
+++ 
@@ -75,7 +75,7 @@
 	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
 
 translated_manpages:
-	cd po4a && po4a devscripts-po4a.conf
+	cd po4a && po4a --no-backups devscripts-po4a.conf
 	# These may or may not have been successfully made; we don't stop
 	# building the rest of the package in such a case
 	for i in $(GEN_MAN1S_fr); do \
@@ -85,7 +85,7 @@
 
 clean_translated_manpages:
 	# Update the POT/POs and remove the translated man pages
-	rm -f po4a/*/*.[1-8]
+	cd po4a && po4a --rm-translations --no-backups devscripts-po4a.conf
 	rm -f translated_manpages
 
 libvfork.o: libvfork.c
