## devscripts 2.9.26etch5

=== debian/changelog ===
devscripts (2.9.26etch5) oldstable-security; urgency=low

  * uscan: Fix regressions introduced by the previous release:
    + Track position in global matches to avoid infinite loops and handle
      zero-width matches.  Thanks, Raphael Geissert and Martín Ferrari.
    + Make download scripts which pass parameters to the called script
      work again.  Thanks, Ryan Niebur.      

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 09 Sep 2009 19:42:32 +0100

devscripts (2.9.26etch4) oldstable-security; urgency=low

  * uscan: Make download scripts using uupdate work correctly again.
    (Accidentally broken in etch3).

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Mon, 25 May 2009 23:22:42 +0100

devscripts (2.9.26etch3) oldstable-security; urgency=low

  * uscan: Modify the handling of mangle rules in watch files to apply the
    rules without executing them as Perl code.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Tue, 24 Mar 2009 20:10:47 +0000

devscripts (2.9.26etch2) stable; urgency=low

  * debsign: Use mktemp rather than creating a temporary directory named
    after the process ID. (Closes: #507482)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sat, 10 Jan 2009 17:41:14 +0000

devscripts (2.9.26etch1) stable; urgency=low

  * debsign: 
    + Add support for the new Checksums-Sha* .changes file fields
      introduced by dpkg 1.14.17 (Closes: #474949)
    + Abort if any unknown Checksums-* fields are found in the .changes
      file
    + Abort if the Format field of the .changes file is unsupported
      (greater than 1.8, less than 1.7 or non-numeric)
    + Use a case-insensitive search for field names

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Mon, 08 Dec 2008 18:12:05 +0000
