=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Julian Gilbey <jdg@debian.org>
-Uploaders: Filippo Giunchedi <filippo@debian.org>, Joey Hess <joeyh@debian.org>, Christoph Berg <myon@debian.org>
+Uploaders: Filippo Giunchedi <filippo@debian.org>, Joey Hess <joeyh@debian.org>
 Standards-Version: 3.7.2
-Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl, xsltproc, docbook-xsl, po4a
+Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl, xsltproc, docbook-xsl, po4a (>= 0.26)
 
 Package: devscripts
 Architecture: any
