## devscripts 2.9.26osso3

=== debian/changelog ===
devscripts (2.9.26osso3) unstable; urgency=low

  * Reverse the patch when cleaning

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Fri, 27 Jul 2007 18:07:10 +0300

devscripts (2.9.26osso2) unstable; urgency=low

  * Cleaned up the package a bit
  * Don't try to clean the po4a stuff

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Fri, 27 Jul 2007 17:21:29 +0300

devscripts (2.9.26osso1) unstable; urgency=low

  * Do not build translated man pages
  * Remove po4a from build dependencies
  * Add patch to build dependencies
  * Set maintainer to integration@maemo.org

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Fri, 27 Jul 2007 15:20:24 +0300
