=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Julian Gilbey <jdg@debian.org>
+Maintainer: maemo integration <integration@maemo.org>
 Uploaders: Filippo Giunchedi <filippo@debian.org>, Joey Hess <joeyh@debian.org>
 Standards-Version: 3.7.2
-Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl, xsltproc, docbook-xsl, po4a (>= 0.26)
+Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl, xsltproc, docbook-xsl, patch
 
 Package: devscripts
 Architecture: any
