=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 build-arch: build-stamp-arch
 build-stamp-arch: test-stamp
 	dh_testdir
+	patch -d . -p0 < debian/no-translated-man-pages.patch
 	$(MAKE) CFLAGS='-g $(optimize) -Wall'
 	touch build-stamp-arch
 
@@ -35,6 +36,7 @@
 	dh_testdir
 	dh_testroot
 	-$(MAKE) clean
+	-patch -d . -p0 -R -N < debian/no-translated-man-pages.patch
 	rm -f build-stamp* test-stamp
 	dh_clean
