## devscripts 2.9.27ubuntu13

=== Makefile ===
--- 
+++ 
@@ -128,3 +128,5 @@
 #	-find $(DESTDIR) -type d -name '.svn' -exec rm -r \{\} \;
 #	-find $(DESTDIR) -type d -name 'CVS' -exec rm -r \{\} \;
 
+#	Install Ubuntu specific scripts
+	cp requestsync $(DESTDIR)$(BINDIR)
