=== debian/changelog ===
devscripts (2.9.27ubuntu13) feisty; urgency=low

  * requestsync:
     - "Debian unstable" instead of "unstable" in the subject of the email
     - "affects ubuntu/%s"; "affects distros/ubuntu/%s" doesn't work anymore
  * debian/control: suggests bzr (LP: #90721)
  * Freeze exception approved by Colin Watson

 -- Adrien Cunin <adri2000@ubuntu.com>  Sat,  7 Apr 2007 16:08:02 +0200

devscripts (2.9.27ubuntu12) feisty; urgency=low

  * debcommit.pl: Add option -c/--confirm to display the generated log message
    and interactively ask for confirmation before committing it.
  * Add requestsync, due to popular request.
  * Makefile: Install requestsync.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 29 Mar 2007 09:41:11 +0200

devscripts (2.9.27ubuntu11) feisty; urgency=low

  * add --distributor= to override lsb_release output.  Value should exactly
    match the output of lsb_release.  (LP: #85366)

 -- LaMont Jones <lamont@debian.org>  Wed, 21 Mar 2007 12:21:50 -0600

devscripts (2.9.27ubuntu10) feisty; urgency=low

  * debchange.pl: Set default release (for -r) to feisty for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  7 Mar 2007 12:54:09 +0000

devscripts (2.9.27ubuntu9) feisty; urgency=low

  * debuild.pl: Preserve DEBEMAIL environment variable by default, so that we
    can check it in dpkg-source.
  * debian/control: Set Ubuntu maintainer.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue,  6 Mar 2007 10:16:05 +0100

devscripts (2.9.27ubuntu8) feisty; urgency=low

  * debchange.pl: Add -U/--upstream flag that forces originally "just
    increment the end" behaviour; Ubuntu is upstream for some pieces of
    software.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 14 Feb 2007 15:56:09 +0000

devscripts (2.9.27ubuntu7) feisty; urgency=low

  * test/debchange.pl: Add test case for versions ending in ~prop1 or
    ~proposed1
  * debchanges.pl: Fix increment for those versions and keep the distribution
    of the last changelog entry.

 -- Michael Bienia <geser@ubuntu.com>  Wed, 31 Jan 2007 01:59:35 +0100

devscripts (2.9.27ubuntu6) feisty; urgency=low

  * debchange.pl: Allow repeated decimals in trailing version.
  * test/debchange.pl: Add test cases to match.

 -- Kees Cook <kees@ubuntu.com>  Fri, 26 Jan 2007 14:10:39 -0800

devscripts (2.9.27ubuntu5) feisty; urgency=low

  * debian/rules: add lsb-release to build deps (FTBFS due to tests).

 -- Kees Cook <kees@ubuntu.com>  Thu, 25 Jan 2007 12:42:19 -0800

devscripts (2.9.27ubuntu4) feisty; urgency=low

  * debchange: correct handling of version increments for security updates.
  * debian/rules, test/{Makefile,debchange.pl}: added small test harness to
    verify debchange version increments.

 -- Kees Cook <kees@ubuntu.com>  Thu, 25 Jan 2007 10:58:37 -0800

devscripts (2.9.27ubuntu3) feisty; urgency=low

  * debchange: Allow UNRELEASED in Ubuntu distro check.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jan 2007 08:47:38 +0000

devscripts (2.9.27ubuntu2) feisty; urgency=low

  * debchange (aka dch):
    - add support for Ubuntu versioning
    - set distribution to feisty if running on Ubuntu

 -- Michael Bienia <geser@ubuntu.com>  Fri, 22 Dec 2006 21:53:28 +0100

devscripts (2.9.27ubuntu1) feisty; urgency=low

  * debchange.pl:
    - fix Ubuntu Distro check.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 19 Dec 2006 17:31:26 +0100

devscripts (2.9.27) unstable; urgency=low

  * checkbashisms: check for 'select' (thanks to James Abley, Ubuntu user)
  * debchange: add support for Ubuntu's distro codenames
  * debchange: add support for ~ in version numbers (Closes: #400173)

 -- Julian Gilbey <jdg@debian.org>  Fri,  1 Dec 2006 08:02:53 +0000
