=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 test-stamp:
 	# debugging info in bts?
 	if grep -q '\$$debug *= *1' bts.pl; then exit 1; else exit 0; fi
+	cd test && $(MAKE)
 	touch test-stamp
 
 build-indep: build-stamp-indep
@@ -26,7 +27,6 @@
 build-arch: build-stamp-arch
 build-stamp-arch: test-stamp
 	dh_testdir
-	patch -d . -p0 < debian/no-translated-man-pages.patch
 	$(MAKE) CFLAGS='-g $(optimize) -Wall'
 	touch build-stamp-arch
 
@@ -36,7 +36,6 @@
 	dh_testdir
 	dh_testroot
 	-$(MAKE) clean
-	-patch -d . -p0 -R -N < debian/no-translated-man-pages.patch
 	rm -f build-stamp* test-stamp
 	dh_clean
